<?php
if (getenv('HTTP_X_FORWARDED_FOR')) {
$ip=getenv('HTTP_X_FORWARDED_FOR');
}
else {
$ip=getenv('REMOTE_ADDR');
}
$os=getenv("HTTP_USER_AGENT");
$d=date("m");
$check=$d.$ip.$os;
$check=md5($check);
$check=substr($check,0,6);
header ("Content-type: image/png");
$im=@ImageCreate (150,30) or die ("Cannot Initialize new GD image stream");
$background_color=ImageColorAllocate ($im,255,255,255);
$text_color=ImageColorAllocate ($im,0,0,0);
ImageString ($im,5,45,8,$check,$text_color);
$line_color=ImageColorAllocate ($im,134,134,134);
ImageLine ($im,75,0,0,15,$line_color);
ImageLine ($im,0,15,75,29,$line_color);
ImageLine ($im,75,29,150,15,$line_color);
ImageLine ($im,150,15,75,0,$line_color);
ImagePng ($im);
?>
